Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23

Thread: ugraded wicd - no internet

  1. #11
    Join Date
    May 2005
    Location
    Costa Rica
    Beans
    61
    Distro
    Edubuntu 7.04 Feisty Fawn

    Re: ugraded wicd - no internet

    I also upgrade wicd yesterday and, as others around here, could not connect to my wireless network(s) (WPA-PSK secured), is like wicd doesn't find any wireless network around, but once I connect my laptop to a wired network the wireless networks begin to appear. I restart my laptop several times to tests the auto-connect function and always found the same behavior: If I'm connected to a wired network I can see the wireless ones but "not wireless found" until I connect to a wired network.

    Not a smart way to work if you want some mobility!

    Going back to the old wicd.

    Regards,
    MaNRo

  2. #12
    Join Date
    Jun 2007
    Beans
    692

    Re: ugraded wicd - no internet

    Once you guys are able to uninstall 1.4.2, don't reinstall it! Install 1.5.3, its really much improved. The problems you're having installing it are caused by 1.4.2's uninstall script, it has nothing to do with 1.5.3. However the location of most of the files has moved so it's important that you read http://wicd.net/latest/changes so you know how to launch it and find config files once you do upgrade successfully. For the lazy, /opt/wicd/ is gone, and you start the GUI with
    Code:
    wicd-client
    This means that your shortcuts might stop working until you update them with the new location.

    @manro
    What happens when you run "sudo iwlist scan" when you're not connected to a wired network? What if you run "sudo ifconfig <wireless interface> up", then run the scan command?
    Last edited by imdano; September 30th, 2008 at 08:25 PM.

  3. #13
    Join Date
    Sep 2008
    Location
    Drammen, Norway
    Beans
    7
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: ugraded wicd - no internet

    Great, new version of wicd is go! Thanks alot.

  4. #14
    Join Date
    Jul 2008
    Location
    North Carolina
    Beans
    478
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ugraded wicd - no internet

    Hm. I guess I'll update to the latest version.. I'm way behind
    Good judgment comes from experience, and often experience comes from bad judgment.

  5. #15
    Join Date
    Sep 2006
    Location
    California USA
    Beans
    116
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ugraded wicd - no internet

    I too saw the upgrade and installed but I think it broke because I can no longer launch the program or connect to networks both wired and wireless. Can I install from external file? How can I get Gnome manager working again w/o network connectivity?

    Thanks in advance.
    Dell Inspiron 600m 1.8GHz|ATI 9000mobile|2Gb RAM|Intel 2915ABG|dual boot Win7/UNE 10.04
    Nokia N810
    Dell Studio XPS|i7-920|6Gb RAM|Nvidia-G220|Win7|XP & Maverick in VMware player

  6. #16
    Join Date
    Jun 2007
    Beans
    692

    Re: ugraded wicd - no internet

    Quote Originally Posted by la3875 View Post
    I too saw the upgrade and installed but I think it broke because I can no longer launch the program or connect to networks both wired and wireless. Can I install from external file? How can I get Gnome manager working again w/o network connectivity?

    Thanks in advance.
    Read this, it covers the reasons 1.5.3 might seem broken: http://wicd.net/punbb/viewtopic.php?pid=822
    Last edited by imdano; October 1st, 2008 at 01:27 PM.

  7. #17
    Join Date
    Jul 2008
    Location
    North Carolina
    Beans
    478
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ugraded wicd - no internet

    Try connecting through the terminal.
    Good judgment comes from experience, and often experience comes from bad judgment.

  8. #18
    Join Date
    Oct 2007
    Beans
    13
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: ugraded wicd - no internet

    Code:
    urgazhi@urgazhi-laptop:~$ sudo apt-get install wicd 
    [sudo] password for urgazhi: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      wicd
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B/227kB of archives.
    After this operation, 65.5kB of additional disk space will be used.
    (Reading database ... 187941 files and directories currently installed.)
    Preparing to replace wicd 1.5.0rc5 (using .../archives/wicd_1.5.3_all.deb) ...
    Stopping wicd daemon...
    invoke-rc.d: initscript wicd, action "stop" failed.
    dpkg: warning - old pre-removal script returned error exit status 1
    dpkg - trying script from the new package instead ...
    Stopping wicd daemon...
    invoke-rc.d: initscript wicd, action "stop" failed.
    dpkg: error processing /var/cache/apt/archives/wicd_1.5.3_all.deb (--unpack):
     subprocess new pre-removal script returned error exit status 1
    Stopping any running daemons...
    Starting wicd daemon...
    Errors were encountered while processing:
     /var/cache/apt/archives/wicd_1.5.3_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    urgazhi@urgazhi-laptop:~$
    I have been trying to update my wicd client... I installed 1.5.0 (I believe) from the sourceforge website a while ago and it installed fine... can anyone give me a hint as how to get it to actually update though?

    EDIT:::::

    After some searching I think I found the issue....

    the file /etc/init.d/wicd should be replaced with

    Code:
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          wicd
    # Required-Start:    dbus
    # Required-Stop:     
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Starts and stops Wicd
    # Description:       Starts and stops Wicd, a network manager
    ### END INIT INFO
    
    # Author: Adam Blackburn <compwiz18@users.sourceforge.net>
    #
    
    # Do NOT "set -e"
    
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC="Network connection manager"
    NAME=wicd
    DAEMON=/usr/sbin/$NAME
    DAEMON_ARGS=""
    PIDFILE=/var/run/wicd/wicd.pid
    SCRIPTNAME=/etc/init.d/wicd
    
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    
    # Read configuration variable file if it is present
    [ -r /etc/default/$NAME ] && . /etc/default/$NAME
    
    # Load the VERBOSE setting and other rcS variables
    [ -f /etc/default/rcS ] && . /etc/default/rcS
    
    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
    . /lib/lsb/init-functions
    
    # Perhaps not the best idea
    # but a confirmation is nice
    # when starting/stopping the daemon
    VERBOSE=yes
    
    #
    # Function that starts the daemon/service
    #
    do_start()
    {
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        #   vvvv -- don't do this -- vvvv
        #   [ -e $PIDFILE ] && return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON --test > /dev/null \
            || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $DAEMON -- \
            $DAEMON_ARGS > /dev/null 2> /dev/null\
            || return 2
        # Add code here, if necessary, that waits for the process to be ready
        # to handle requests from services started subsequently which depend
        # on this one.  As a last resort, sleep for some time.
    }
    
    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
    }
    
    #
    # Function that sends a SIGHUP to the daemon/service
    #
    do_reload() {
        #
        # If the daemon can reload its configuration without
        # restarting (for example, when it is sent a SIGHUP),
        # then implement that here.
        #
        start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
        return 0
    }
    
    case "$1" in
      start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
      stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
      #reload|force-reload)
        #
        # If do_reload() is not implemented then leave this commented out
        # and leave 'force-reload' as an alias for 'restart'.
        #
        #log_daemon_msg "Reloading $DESC" "$NAME"
        #do_reload
        #log_end_msg $?
        #;;
      restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
            do_start
            case "$?" in
                0) log_end_msg 0 ;;
                1) log_end_msg 1 ;; # Old process is still running
                *) log_end_msg 1 ;; # Failed to start
            esac
            ;;
          *)
              # Failed to stop
            log_end_msg 1
            ;;
        esac
        ;;
      *)
        #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
    esac
    
    :
    This allowed me to uninstall the old WICD and allowed the new one to install correctly I believe the old init.d file was wrong in some manner....
    Last edited by Urgazhi; October 2nd, 2008 at 04:07 AM.

  9. #19
    Join Date
    Sep 2006
    Location
    California USA
    Beans
    116
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: ugraded wicd - no internet

    I'm back in the game! If your update broke your wicd like it did mine, i recommend the following solution:

    First visit this page http://wicd.net/punbb/viewtopic.php?id=187 and follow this instruction to uninstall

    code: sudo rm /var/lib/dpkg/info/wicd.prerm

    Second, open Synaptic and search for wicd and mark for complete removal and apply change

    Third, I downloaded the .deb package (not the .tar) onto a usb drive and installed and I'm back including my previous wireless profiles!

    Hope this helps!
    Last edited by la3875; October 2nd, 2008 at 06:05 AM. Reason: clarity
    Dell Inspiron 600m 1.8GHz|ATI 9000mobile|2Gb RAM|Intel 2915ABG|dual boot Win7/UNE 10.04
    Nokia N810
    Dell Studio XPS|i7-920|6Gb RAM|Nvidia-G220|Win7|XP & Maverick in VMware player

  10. #20
    Join Date
    Nov 2006
    Beans
    10

    Re: ugraded wicd - no internet

    zerofxC: Can you put the deb with 1.5.3 somewhere?

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •